<?php
require_once 'warp/warplib/applet.inc';
require_once 'warp/warplib/appletutils.inc';
require_once 'clockscript.inc';
require_once 'sunrise.php';
require_once 'cal.php';

include_once 'warp/conf/calendar/gcal.conf';

class Warp_Calendar_Applet extends Warp_Applet
{
var $cal;
var $showMonth;
var $showYear;

	function Warp_Calendar_Applet($caption = "Calendar")
	{
            parent::__construct($caption);
	}

        function getID() { return "MIN001A"; }

        function getDirectory()
        {
            return "calendar";
        }

        function init(&$appMan)
        {
            parent::init($appMan);

				$this->cal = new Calendar($appMan, $this);
            $this->showMonth = $appMan->queryParameter($this, "month");
            $this->showYear  = $appMan->queryParameter($this, "year");
        }

        function renderPanel(&$app_man)
        {
        $date =  date("l")."<br><b>".date("jS F")."</b><br>".date("Y");
	$date.= "<br/>";
        $date.= "<div id='theClock'>   </div>";
	return "<div align=center>$date</div>";
        }

        function renderWindow(&$app_man)
        {
			$clock = getClockScript();

			$info = "<p><hr>";
			$info.= "Sunrise:<b>".getSunRise()."</b><br/>";
			$info.= "Sunset:<b>".getSunSet()."</b>";
			$info.= "<hr>";

         $clock .= $info;

         $d = getdate(time());
         $month = $this->showMonth;
         $year = $this->showYear;
	      if ($month == "") { $month = $d["mon"]; }
	      if ($year == "") { $year = $d["year"]; }

         $clock .= '';
         $clock .= $this->cal->getMonthViewApp($app_man,$this, $month, $year);


        $user = $app_man->getAuth()->getUser();

         $monthView = $this->getAjaxDiv("getschedule.php?user=$user");
         $info = $this->getAjaxDiv('getculture.php');

        $calendar = $app_man->getView()->split2H($monthView, $info);

	return $app_man->getView()->split2V($clock, $calendar);
        }

        function renderConfig(&$app_man, $fast=false)
        {
           if ($fast) { return "-"; }

           return "What sort of configuration are you expecting for a calender? Are you nuts? :)";
        }

	function getHeadHTML(&$app_man)
	{
           return <<< HERE
           <LINK rel="stylesheet" href="warp/applets/calendar/calendar.css" type="text/css">

<script language="JavaScript">

<!--

var clockID = 0;

function UpdateClock()
{
	if(clockID) 
	{
		clearTimeout(clockID);
		clockID  = 0;
	}

var date = new Date();
var hr = ""+date.getHours();
var min= ""+date.getMinutes();
var sec= ""+date.getSeconds();

	if (hr.length ==1) hr="0"+hr;
	if (min.length==1) min="0"+min;
	if (sec.length==1) sec="0"+sec;

	document.getElementById('theClock').innerHTML = hr+":"+min+":"+sec;

	clock = setTimeout("UpdateClock()", 1000);
}

function StartClock()
{
   clock = setTimeout("UpdateClock()", 500);
}

function KillClock()
{
	if(clock)
	{
		clearTimeout(clock);
		clock = 0;
	}
}
//-->
</script>
HERE;
	}

	function getBodyParams(&$app_man, &$params)
	{
		$params["onload"][] = "UpdateClock()";
		$params["onunload"][] = "KillClock()";
	}

function getRefreshParams(&$app_man)
{
	$ref = '';

   if ($this->showMonth != "") {
      $ref.= $app_man->getArgument($this, "month", $this->showMonth);
   }

   if ($this->showYear != "") {
      $ref.= $app_man->getArgument($this, "year", $this->showYear);
   }

   return $ref;
}


    function renderInfo(&$app_man, $fast=false)
    {
        if ($fast) {
            return "-";
        }

        return <<<EOD
<p>A standard applet with a clock and calendar. Events are taken from
Google calendar, by adding the publically accessible URL to <tt>warp/conf/calendar/gcal.conf</tt>. The clock uses an external Java applet, and can be removed
to save time.</p>
EOD;
    }

}

?>

